'use strict';return L.Class.extend({newGraph:function(id,viewWidth){const graph={id:id,width:498,height:298,step:5,points:99,smoothRatio:99*0.05,hscale:{ratio:149,hlabels:{l25:149*0.25,l50:149*0.5,l75:149*0.75}},wscale:{id:id+'_scale',interval:3,timeframe:99/60},svg:'',}
graph.width=viewWidth-2;graph.points=Math.floor(graph.width/graph.step);graph.smoothRatio=graph.points*0.05
graph.wscale.timeframe=graph.points/60;return graph},stringToColour:function(str){if(str=="free1")
return"BlueViolet";if(str=="ovh1")
return"DeepSkyBlue";if(str=="ovh2")
return"LightGreen";if(str=="if1")
return"PowderBlue";if(str=="if2")
return"PaleGreen";if(str=="if3")
return"YellowGreen";if(str=="if4")
return"SeaGreen";if(str=="if5")
return"SteelBlue";if(str=="if6")
return"SlateBlue";if(str=="if7")
return"PaleTurquoise";if(str=="if8")
return"BlueViolet";if(str=="tun0")
return"Mediumslateblue";if(str=="xtun0")
return"FireBrick";Math.seedrandom(str);var rand=Math.random()*Math.pow(255,3);Math.seedrandom();for(var i=0,color="#";i<3;color+=("00"+((rand>>i++ *8)&0xFF).toString(16)).slice(-2));return color;},computeHscale:function(graph,peak){const s=Math.floor(Math.log2(peak)),d=Math.pow(2,s-(s%10)),m=peak/d,n=(m<5)?2:((m<50)?10:((m<500)?100:1000)),p=peak+(n*d)-(peak%(n*d));graph.hscale.ratio=graph.height/p;},computeHlabels:function(graph){const v=(graph.height/graph.hscale.ratio);for(let i=25;i<100;i+=25){graph.hscale.hlabels['l'+i]=v*(i/100)}},computeHpoint:function(graph,point){let y=graph.height-Math.floor(point*graph.hscale.ratio);return isNaN(y)?graph.height:y;},setLegends:function(graph,peak,avg){for(let i=25;i<100;i+=25){graph.svg.getElementById(graph.id+'_label_'+i).firstChild.data=this.rate(graph.hscale.hlabels['l'+i]).join('');}
graph.svg.getElementById(graph.id+'_label_peak').firstChild.data='peak: '+this.rate(peak).join('');graph.svg.getElementById(graph.id+'_label_avg').firstChild.data='avg: '+this.rate(avg/graph.points).join('');graph.svg.parentNode.parentNode.querySelector('#'+graph.wscale.id).firstChild.data=_('(%d minute window, %d second interval)').format(graph.wscale.timeframe,graph.wscale.interval);},rate:function rate(n,br){n=(n||0).toFixed(2);return['%1024.2mbit/s'.format(n*8),br?E('br'):' ','(%1024.2mB/s)'.format(n)]},insertValue:function(set,value,ratio){const oldestPoint=set.points.shift();set.avg-=oldestPoint
if(oldestPoint>=set.peak){set.peak=1
for(const p of set.points){set.peak=p>set.peak?p:set.peak}}
const lastPoint=set.points[set.points.length-1],newPoint=lastPoint+(value-lastPoint)/ratio;set.points.push(newPoint);set.avg+=newPoint
set.peak=newPoint>set.peak?newPoint:set.peak;},updateSets:function(graphs,sets,deviceStats){for(const[index,stats]of deviceStats.entries()){for(const[i,data]of stats.entries()){if(data[0]<sets[i].lastUpdate){if(index+1===deviceStats.length){if((data[0]+5)-sets[i].lastUpdate>=0){continue;}
if(Math.max(...sets[i].points)===0){continue;}
for(let a=0;a<4;a++){this.insertValue(sets[i],0,graphs[i].smoothRatio);}
sets[i].lastUpdate+=3;}
continue;}
sets[i].lastUpdate=data[0];if(index===0){continue;}
let value=data[1];const delta=data[0]-deviceStats[index-1][i][0];if(delta){let v=(value-deviceStats[index-1][i][1])/delta
if(v>=0){value=v}}
this.insertValue(sets[i],value,graphs[i].smoothRatio);}}},drawCurve:function(graph,points){let curve='0,'+graph.height;for(const[pos,p]of points.entries()){let x=pos*graph.step,y=this.computeHpoint(graph,p)
curve+=' '+x+','+y;if(pos===(points.length-1)){curve+=' '+graph.width+','+y+' '+graph.width+','+graph.height;}}
return curve},drawSimple:function(graph,set){this.computeHscale(graph,set.peak);const curve=this.drawCurve(graph,set.points)
graph.svg.getElementById(graph.id).setAttribute('points',curve);this.computeHlabels(graph);this.setLegends(graph,set.peak,set.avg);},drawAggregate:function(graph,names,lines){let peak=1;let avg=1;for(let[i,line]of lines.entries()){lines[i]=line=line.map((x,y)=>{const l=lines.slice(i+1);for(let j=0;j<l.length;j++){x+=l[j][y];}
if(i===0){peak=x>peak?x:peak;avg+=x;}
return x});if(i===0){this.computeHscale(graph,peak);}
const curve=this.drawCurve(graph,line)
graph.svg.getElementById(names[i]).setAttribute('points',curve);if(i===0){graph.svg.getElementById(graph.id).setAttribute('points',curve);}
this.computeHlabels(graph);this.setLegends(graph,peak,avg);}}});